# Programm 7.1 Bisektionsverfahren
# zur Berechnung einer Nullstelle von w2(x)
# input:  a,b mit w2(a)*w2(b)<0 
# output: Nullstelle x
# Aufruf: bisektion_gb(a,b)
function [ ] = bisektion_gb(a,b);
if (w2(a)*w2(b) > 0)
   disp('a,b sind unzulaessige Startwerte');
   return;
endif
it = 0; x = b;
w2x = w2(x);
while (abs(w2x) > 10^(-10))
   x = (b+a)/2; w2x = w2(x);
   if (w2x*w2(a) < 0) 
      b = x;
   else
      a = x;
   endif
   it = it+1;
endwhile
x
it
endfunction
