# Programm 7.7 CG-Verfahren zur Loesung von A x = b , A symm., pos. def.
# gegeben A = (a_{ij}), b = (b_i) als Spaltenvektor, i,j=1,...,n
# input:  Matrix a, Spaltenvektor b
# output: Loesung x
# Aufruf: x = cgit_gb(a,b);
function [x] = cgit_gb(a,b);
if (testpd_gb(a) ~= 1)
   disp('Matrix nicht pos. definit');
   return;
endif
n = length(b); y = b; x=y;
r = a*x - b; p = -r;
it = 0;
while ( norm(r) > 10^(-8) )
   if (it > 0)
      e = (r'*r)/(ra'*ra);
      p = -r + e*p;
   endif
   z = a*p;
   q = (r'*r)/(p'*z);
   x = x + q*p;
   ra = r;
   r = r + q*z;
   it = it+1;
endwhile
it
endfunction
