# Programm 2.3 Cholesky-Zerlegung a0 = l l^T einer pos.def.,symm. Matrix 
# input:  Matrix a0
# output: untere Dreiecksmatrix l oder l = -1 falls a0 nicht spd
# Aufruf: l = chol_gb(a0);
function [l] = chol_gb(a0);
a = a0;
n = length(a(:,1));
if (testpd_gb(a) ~= 1 )
  disp('Matrix nicht symm. bzw. pos. definit');
  l = -1;
  return;
endif
# Initialisierung von l 
for i=1:n
  for j=1:n
    l(i,j)=0;
  endfor
endfor
for k=1:n
  l(k,k)=sqrt(a(k,k));
  for i=k+1:n
    l(i,k) = a(i,k)/l(k,k);
    for j=k+1:i
      a(i,j) = a(i,j)-l(i,k)*l(j,k);
    endfor
  endfor
endfor
endfunction
